main = ScriptThread("SimpleHUD")

include("../../internal/extensions/CScriptThread.lua")
include("SimpleHUD_GUI.lua")
include("SimpleHUDManager.lua")


function SimpleHUDMainInit()
--===============================================================================================CUSTOMIZATION
	SimpleHUDGUI.navButtons = {
	["menuOpen"]  = {["keys"] = {KEY_F9, KEY_NUMPAD9}, ["menu"] = "SimpleHUDMain"},
	["menuClose"] = {["keys"] = {}},
	["navUp"] 	  = {["keys"] = {KEY_NUMPAD8, KEY_PRIOR}},
	["navDown"]   = {["keys"] = {KEY_NUMPAD2, KEY_NEXT}},
	["select"] 	  = {["keys"] = {KEY_NUMPAD5, KEY_INSERT}},
	["navBack"]   = {["keys"] = {KEY_NUMPAD0, KEY_DELETE}}}
	
--========================================================================================END=OF=CUSTOMIZATION

SimpleHUDGUI.createMenu("SimpleHUDMain","","~w~SimpleHUD",0.90,0.04,0.150,0.0425,0.000,0.55,4)SimpleHUDGUI.addButton("SimpleHUDMain","~c~HUD",SimpleHUDManager.SimpleHUDToggle,nil,true,0.38,4)SimpleHUDGUI.addButton("SimpleHUDMain","~c~HUD Settings",SimpleHUDGUI.setActiveMenu,"SimpleHUDSettings",false,0.38,4)SimpleHUDGUI.createMenu("SimpleHUDSettings","SimpleHUDMain","~w~SimpleHUD",0.90,0.04,0.150,0.0425,0.000,0.55,4)SimpleHUDGUI.addButton("SimpleHUDSettings","~c~Custom Cash",SimpleHUDManager.CustomCashSimpleHUDToggle,nil,true,0.38,4)SimpleHUDGUI.addButton("SimpleHUDSettings","~c~Custom Wanted",SimpleHUDManager.CustomWantedSimpleHUDToggle,nil,true,0.38,4)SimpleHUDGUI.addButton("SimpleHUDSettings","~c~Custom Ammo",SimpleHUDManager.CustomAmmoSimpleHUDToggle,nil,true,0.38,4)SimpleHUDGUI.addButton("SimpleHUDSettings","~c~Street Names",SimpleHUDManager.StreetSimpleHUDToggle,nil,true,0.38,4)SimpleHUDGUI.addButton("SimpleHUDSettings","~c~Target Reticle",SimpleHUDManager.SimpleHUDTargetReticleToggle,nil,true,0.38,4)SimpleHUDGUI.addButton("SimpleHUDSettings","~c~Transparency",SimpleHUDGUI.setActiveMenu,"SimpleHUDTransparency",false,0.38,4)SimpleHUDGUI.addButton("SimpleHUDSettings","~c~Color",SimpleHUDGUI.setActiveMenu,"SimpleHUDColor",false,0.38,4)SimpleHUDGUI.addButton("SimpleHUDSettings","~c~On = KM/H Off = MPH",SimpleHUDManager.ToggleKmMp,nil,true,0.38,4)SimpleHUDGUI.addButton("SimpleHUDSettings","~c~On = M Off = FT",SimpleHUDManager.ToggleMFt,nil,true,0.38,4)SimpleHUDGUI.createMenu("SimpleHUDTransparency","SimpleHUDSettings","~w~SimpleHUD",0.90,0.04,0.150,0.0425,0.000,0.55,4)SimpleHUDGUI.addButton("SimpleHUDTransparency","~c~100%",SimpleHUDManager.ChangeHudAlpha,1,false,0.38,4)SimpleHUDGUI.addButton("SimpleHUDTransparency","~c~75%",SimpleHUDManager.ChangeHudAlpha,2,false,0.38,4)SimpleHUDGUI.addButton("SimpleHUDTransparency","~c~50%",SimpleHUDManager.ChangeHudAlpha,3,false,0.38,4)SimpleHUDGUI.addButton("SimpleHUDTransparency","~c~25%",SimpleHUDManager.ChangeHudAlpha,4,false,0.38,4)SimpleHUDGUI.createMenu("SimpleHUDColor","SimpleHUDSettings","~w~SimpleHUD",0.90,0.04,0.150,0.0425,0.000,0.55,4)SimpleHUDGUI.addButton("SimpleHUDColor","~c~Default",SimpleHUDManager.ChangeHudColor,1,false,0.38,4)SimpleHUDGUI.addButton("SimpleHUDColor","~c~Neon Orange",SimpleHUDManager.ChangeHudColor,2,false,0.38,4)SimpleHUDGUI.addButton("SimpleHUDColor","~c~Baby Blue",SimpleHUDManager.ChangeHudColor,3,false,0.38,4)SimpleHUDGUI.addButton("SimpleHUDColor","~c~Dark Green",SimpleHUDManager.ChangeHudColor,4,false,0.38,4)SimpleHUDGUI.addButton("SimpleHUDColor","~c~Dark Red",SimpleHUDManager.ChangeHudColor,5,false,0.38,4)SimpleHUDGUI.addButton("SimpleHUDColor","~c~Beach Sand",SimpleHUDManager.ChangeHudColor,6,false,0.38,4)SimpleHUDGUI.addButton("SimpleHUDColor","~c~White",SimpleHUDManager.ChangeHudColor,7,false,0.38,4)SimpleHUDGUI.addButton("SimpleHUDColor","~c~Lime Green",SimpleHUDManager.ChangeHudColor,8,false,0.38,4)SimpleHUDGUI.addButton("SimpleHUDColor","~c~Cyan",SimpleHUDManager.ChangeHudColor,9,false,0.38,4)SimpleHUDGUI.addButton("SimpleHUDColor","~c~Light Pink",SimpleHUDManager.ChangeHudColor,10,false,0.38,4)SimpleHUDGUI.addButton("SimpleHUDColor","~c~Salmon",SimpleHUDManager.ChangeHudColor,11,false,0.38,4)SimpleHUDGUI.addButton("SimpleHUDColor","~c~White/Gray",SimpleHUDManager.ChangeHudColor,12,false,0.38,4)SimpleHUDGUI.addButton("SimpleHUDColor","~c~Olive",SimpleHUDManager.ChangeHudColor,13,false,0.38,4)SimpleHUDGUI.addButton("SimpleHUDColor","~c~Yellow",SimpleHUDManager.ChangeHudColor,14,false,0.38,4)SimpleHUDGUI.addButton("SimpleHUDColor","~c~Purple",SimpleHUDManager.ChangeHudColor,15,false,0.38,4)SimpleHUDGUI.addButton("SimpleHUDColor","~c~Teal",SimpleHUDManager.ChangeHudColor,16,false,0.38,4)SimpleHUDGUI.addButton("SimpleHUDColor","~c~Light Gray",SimpleHUDManager.ChangeHudColor,17,false,0.38,4)
end

function main:Run()
	SimpleHUDMainInit()
	SimpleHUDManager.init()
	
	
	while self:IsRunning() do
		if(plyPed ~= natives.PLAYER.PLAYER_PED_ID()) then plyPed = natives.PLAYER.PLAYER_PED_ID() end
		if(ply ~= natives.PLAYER.PLAYER_ID()) then ply = natives.PLAYER.PLAYER_ID() end
		if(veh ~= natives.PED.GET_VEHICLE_PED_IS_IN(plyPed, true)) then veh = natives.PED.GET_VEHICLE_PED_IS_IN(plyPed, true) end


		SimpleHUDGUI.tick()
		SimpleHUDManager.tick()
		
		self:Wait(0)
	end
end

function main:OnError()
	self:Kill()
	addon.Load("SimpleHUD")
end

main:Register()

	